// Code generated by MockGen. DO NOT EDIT.
// Source: ./internal/repository/main.go

// Package mocks; is a generated GoMock package.
package mocks

import (
	entity "aksan-go-crud/internal/entity"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockRepoInf is a mock of RepoInf interface.
type MockRepoInf struct {
	ctrl     *gomock.Controller
	recorder *MockRepoInfMockRecorder
}

// MockRepoInfMockRecorder is the mock recorder for MockRepoInf.
type MockRepoInfMockRecorder struct {
	mock *MockRepoInf
}

// NewMockRepoInf creates a new mock instance.
func NewMockRepoInf(ctrl *gomock.Controller) *MockRepoInf {
	mock := &MockRepoInf{ctrl: ctrl}
	mock.recorder = &MockRepoInfMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRepoInf) EXPECT() *MockRepoInfMockRecorder {
	return m.recorder
}

// Get mocks base method.
func (m *MockRepoInf) Get(filter []string) ([]*entity.JobEntity, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", filter)
	ret0, _ := ret[0].([]*entity.JobEntity)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockRepoInfMockRecorder) Get(filter interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockRepoInf)(nil).Get), filter)
}

// GetByID mocks base method.
func (m *MockRepoInf) GetByID(id int) (*entity.JobEntity, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetByID", id)
	ret0, _ := ret[0].(*entity.JobEntity)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetByID indicates an expected call of GetByID.
func (mr *MockRepoInfMockRecorder) GetByID(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetByID", reflect.TypeOf((*MockRepoInf)(nil).GetByID), id)
}
